﻿@using EtanaBookingRoomApps.Models
@{
    ViewBag.Title = "Detail Room";
    Layout = "~/Views/Shared/_LayoutAdmin.cshtml";
    string baseUrl = Request.Url.Scheme + "://" + Request.Url.Authority +
Request.ApplicationPath.TrimEnd('/');
    List<Rooms> GetRoom = ViewBag.GetRooms;
    List<RoomFacilities> GetRoomFacilities = ViewBag.GetRoomFacilities;
    List<SessionTime> ST = ViewBag.GetSessionTime;
    List<SessionTimePerRoom> GetSessioPerRoom =  ViewBag.GetSessioPerRoom;
}

<div class="container-fluid px-4">
    <h2 class="mt-4">List Meeting Rooms</h2>
    @*<ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
            <li class="breadcrumb-item active">Tables</li>
        </ol>*@
    <div class="card mb-4">
        <div class="card-body">
            Note : <i>Click Spesific Date For Booking Room  </i>
        </div>
    </div>
    <div class="card mb-4">
        <div class="card-header">
            <i class="fas fa-table me-1"></i>
            Grid
        </div>
        <div class="card-body">

            @*@for (int i = 0; i < 20; i++)
                {*@

            <div class="row">


                @foreach (var item in GetRoom)
                {
                    <div class="col-md-4" style="margin-top:20px;">
                        <div class="card">
                            <img src="https://www.wework.com/ideas/wp-content/uploads/sites/4/2021/08/20201008-199WaterSt-2_v1-1440x810.jpg" class="card-img-top" alt="...">
                            <div class="card-body">
                                <h5 class="card-title">@item.RoomName Room</h5>

                                <div style="padding:10px;">
                                    <p><i class="fas fa-clock "></i> @item.RoomTime</p>
                                    <p><i class="fas fa-users "></i> Max @item.RoomMaxPerson Person</p>
                                    <p><i class="fas fa-map-pin "></i> @item.RoomLocation</p>
                                </div>

                                <i>Room Facilitiy</i>
                                <br />
                                <span class="badge bg-primary">WIFI</span>
                                <span class="badge bg-secondary">TV</span>
                                <br />
                                <br />
                                <br />

                            </div>
                        </div>
                    </div>

                }

                <div class="col-md-8">
                    <div id='calendar'></div>
                </div>



            </div>


        </div>
    </div>
</div>



<!-- Modal -->
<form action="/" method="post" id="SubmitBookingRooms">
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">-</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-6">
                            <input type="hidden" id="IdRoom" name="name" value="@Request["Id"].ToString()" />
                            <label>Date</label>
                            <input type="date" id="Date" class="form-control" name="name" value="" readonly />
                            <label>Available Session</label>
                            <select class="form-select" multiple="" aria-label="multiple select example" id="Session" required="">
                                <option value="1">08:00:00 - 09:00:00</option>

                                <option value="2">09:00:00 - 10:00:00</option>

                                <option value="3">10:00:00 - 11:00:00</option>

                                <option value="4">11:00:00 - 12:00:00</option>

                                <option value="5">13:00:00 - 14:00:00</option>

                                <option value="6">14:00:00 - 15:00:00</option>

                                <option value="7">15:00:00 - 16:00:00</option>

                                <option value="8">16:00:00 - 17:00:00</option>

                                <option value="9">17:00:00 - 18:00:00</option>
                            </select>
                        </div>
                        <div class="col-md-6">
                            <label>Total Participant</label>
                            <input type="number" class="form-control" name="name" value="" id="TotalParticipant" required/>
                            <br />
                            <input type="radio" name="IsInternal" value="1" required/> Internal &nbsp;&nbsp;
                            <input type="radio" name="IsInternal" value="0" required/> External
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <label>Additional Information</label>
                            <textarea class="form-control" id="AdditionalInformation" required></textarea>
                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </div>
    </div>
</form>
<style>

    body {
        margin: 40px 10px;
        padding: 0;
        font-family: Arial, Helvetica Neue, Helvetica, sans-serif;
        font-size: 14px;
    }

    #calendar {
        max-width: 1100px;
        margin: 0 auto;
    }
</style>
